GDB (xrefs)

Functions
signals-state-save-restore.h File Reference

Go to the source code of this file.

## Functions
void | save_original_signals_state (bool quiet)
void | restore_original_signals_state (void)

## Function Documentation

## ◆ restore_original_signals_state()

void restore_original_signals_state | ( | void |  | ) |

Definition at line 96 of file signals-state-save-restore.c.

References original_signal_actions, original_signal_mask, and perror_with_name().

Referenced by fork_inferior().

## ◆ save_original_signals_state()

void save_original_signals_state | ( | bool | quiet | ) |

Definition at line 38 of file signals-state-save-restore.c.

References _, original_signal_actions, original_signal_mask, and perror_with_name().

Referenced by captured_main_1().